org.hibernate.search.query.dsl

## Interface SimpleQueryStringMatchingContext

- All Superinterfaces:
    SimpleQueryStringDefinitionTermination
  All Known Implementing Classes:
    ConnectedSimpleQueryStringMatchingContext

      public interface SimpleQueryStringMatchingContext
      extends SimpleQueryStringDefinitionTermination

  Author:
    Guillaume Smet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleQueryStringMatchingContext` | `andField(String field)` Field the query is executed on.
    `SimpleQueryStringMatchingContext` | `andFields(String... field)` Fields the query is executed on.
    `SimpleQueryStringMatchingContext` | `boostedTo(float boost)` Boost the field to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)
    `SimpleQueryStringDefinitionTermination` | `withAndAsDefaultOperator()` Define the default operator as AND.

    - ### Methods inherited from interface org.hibernate.search.query.dsl.SimpleQueryStringDefinitionTermination

      `matching`

- - ### Method Detail

    - #### boostedTo

          SimpleQueryStringMatchingContext boostedTo(float boost)

      Boost the field to a given value Most of the time positive float: - lower than 1 to diminish the weight - higher than 1 to increase the weight Could be negative but not unless you understand what is going on (advanced)

    - #### andField

          SimpleQueryStringMatchingContext andField(String field)

      Field the query is executed on.

    - #### andFields

          SimpleQueryStringMatchingContext andFields(String... field)

      Fields the query is executed on.

    - #### withAndAsDefaultOperator

          SimpleQueryStringDefinitionTermination withAndAsDefaultOperator()

      Define the default operator as AND.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved